> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/kmp/setup-luciq-for-kmp/setup-in-app-surveys/targeting-surveys.md).

# Targeting Surveys

Survey targeting is configured in the **Luciq dashboard**. Rules can be based on user attributes, app version, and other criteria. The SDK then determines which surveys are available for the current user.

### Get available surveys

To get the list of surveys that can be shown to the current user:

{% code title="Kotlin" %}

```kotlin
scope.launch {
    SurveysKmp.getAvailableSurveys().collect { surveys ->
        surveys.forEach { survey ->
            // survey has token and other metadata
        }
    }
}
```

{% endcode %}

Use this to decide when to call `SurveysKmp.showSurvey(token)` or to show a custom “Take survey” entry that opens a specific survey.

### Show survey if available

`SurveysKmp.showSurveyIfAvailable()` shows one survey from the set of available (targeted) surveys. The SDK/dashboard decides which one to show when multiple are available.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/kmp/setup-luciq-for-kmp/setup-in-app-surveys/targeting-surveys.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
